Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Sequence..::.Get Method (UInt32, Transaction)
Sequence Class See Also Send Feedback

Return the next available element in the sequence and change the sequence value by Delta.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public long Get(
    	uint Delta,
    	Transaction txn
    )

Visual Basic (Declaration)
    Public Function Get ( _
    	Delta As UInteger, _
    	txn As Transaction _
    ) As Long

Visual C++
    public:
    long long Get(
    	unsigned int Delta,
    	Transaction^ txn
    )

#### Parameters

Delta
  Type: System..::.UInt32
  The amount by which to increment the sequence value. Must be greater than 0.

txn
  Type: BerkeleyDB..::.Transaction
  If the operation is part of an application-specified transaction, txn is a Transaction object returned from BeginTransaction()()(); if the operation is part of a Berkeley DB Concurrent Data Store group, txn is a handle returned from BeginCDSGroup()()(); otherwise null. Must be null if the sequence was opened with a non-zero cache size.

#### Return Value

The next available element in the sequence.

# See Also

Sequence Class
Get Overload
BerkeleyDB Namespace